Subject: Re: Commercial Licensing
From: [email-masked] (Reed Kotler Consulting)

29 Mar 1997 14:10:45 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: Jim Balter <[email-masked]>, David Essex <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

At 07:39 PM 3/28/97 -0800, Jim Balter wrote:
>David Essex wrote:
>> 
>> Ian Lance Taylor <[email-masked]> wrote:
>> 
>> >BFD, gas, ld, the binutils, are all under the GPL
>> >and always have been.  Any contributions you or anybody chooses to
>> >make will be made under the GPL, will require a copyright assignment
>> >to the Free Software Foundation, and will be included in future
>> >binutils net releases for anybody to use.
>> >
>> >The commercial licensing stuff applies only to the gnu win32 library
>> >itself, which is copyrighted by Cygnus.  It does not apply to the
>> >binutils.
>> Commercial licensing ?
>> The cygnus gnu-win32 web page says that this is free software.
>> If win32 library is part of gnu why do you need a commercial license ?
>> Could some one expand on this ?
>
>
>In addition to the GPL, Cygnus offers cygwin.dll under a restricted
>license to commercial clients who wish to use it without sharing their
>own sources.  As the owner, Cygnus has every legal right to do this.
>Whether it is consistent with the spirit of the GPL is another matter.
>There was a long, heated debate on the mailing list after Cygnus
>posted a press release announcing their intentions; no sense in
>repeating it.
>
>Note that many libraries, such as glibc, are released under the LGPL,
>not the GPL, implicitly allowing commercial users to do what commercial
>users of cygwin must pay Cygnus for a license to do.  Cygnus
>intentionally used the GPL rather than the LGPL for just this reason.
>
>--
I remember seeing this GPL thread go on and on and frankly I ignored it.

However, I'm looking at the webpage for cygnus and seeing some
claim that if you build software using the cygwin.dll that it has
to become free software too if you don't have the commercial license.

This seems to be a pretty far fetched reading of the GPL.

reed

Reed Kotler
http://www.reedkotler.com  home of a nice unix like toolset for windows NT/95
http://www.justjazz.com    home of a jazz musicians discussion list
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".